# Codeception Test Suite Configuration

# suite for acceptance tests.
# perform tests in browser using the WebDriver or PhpBrowser.
# If you need both WebDriver and PHPBrowser tests - create a separate suite.

class_name: AcceptanceTester
modules:
  enabled:
    - WebDriver
    - WordPress
    - AcceptanceHelper
    - Asserts
  config:
    WebDriver:
      window_size: 1366x764
    BrowserStack:
      browser: IE
      version: 9.0
      resolution: 1024x768
      capabilities:
        'browserstack.local': 'true'
        'browserstack.debug': 'true'
env:
  mobile:
    modules:
      config:
        WebDriver:
          window_size: 320x568
  mobile-lanscape:
    modules:
      config:
        WebDriver:
          window_size: 568x320
  ie8:
    modules:
      enabled:
        - BrowserStack
      config:
        BrowserStack:
          browser: IE
          version: 8.0
          resolution: 1024x768
  ie9:
    modules:
      enabled:
        - BrowserStack
      config:
        BrowserStack:
          browser: IE
          version: 9.0
          resolution: 1280x800
  ie10:
    modules:
      enabled:
        - BrowserStack
      config:
        BrowserStack:
          browser: IE
          version: 10.0
          resolution: 1280x800
  ie11:
    modules:
      enabled:
        - BrowserStack
      config:
        BrowserStack:
          browser: IE
          version: 11.0
          resolution: 1440x900
  edge12:
    modules:
      enabled:
        - BrowserStack
      config:
        BrowserStack:
          browser: Edge
          version: 12.0
          resolution: 1440x900
          capabilities:
            'os': 'Windows'
            'os_version': '10'
  chrome:
    modules:
      enabled:
        - BrowserStack
      config:
        BrowserStack:
          browser: Chrome
          version: 46.0
          resolution: 1440x900
          capabilities:
            'os': 'Windows'
            'os_version': '8.1'
  safari9:
    modules:
      enabled:
        - BrowserStack
      config:
        BrowserStack:
          browser: Safari
          version: 9.0
          resolution: 1280x1024
          capabilities:
            'os': 'OS X'
            'os_version': 'El Capitan'
  safari8:
    modules:
      enabled:
        - BrowserStack
      config:
        BrowserStack:
          browser: Safari
          version: 8.0
          resolution: 1280x1024
          capabilities:
            'os': 'OS X'
            'os_version': 'Yosemite'
  iphone5:
    modules:
      enabled:
        - BrowserStack
      config:
        BrowserStack:
          browser: iPhone
          version:
          resolution: 1280x1024
          capabilities:
            'platform': 'MAC'
            'device': 'iPhone 5'
  ipadair:
    modules:
      enabled:
        - BrowserStack
      config:
        BrowserStack:
          browser: iPad
          version:
          resolution: 1280x1024
          capabilities:
            'platform': 'MAC'
            'device': 'iPad Air'
  android:
    modules:
      enabled:
        - BrowserStack
      config:
        BrowserStack:
          browser: android
          version:
          resolution: 1280x1024
          capabilities:
            'platform': 'ANDROID'
            'device': 'Google Nexus 5'
  firefox:
    modules:
      enabled:
        - BrowserStack
      config:
        BrowserStack:
          browser: Firefox
          version: 41.0
          resolution: 1440x900
          capabilities:
            'platform': 'Windows'
            'device': '10'
